Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 807867 - Review Request: python-mdp - A modular toolkit for data processing in Python
Summary: Review Request: python-mdp - A modular toolkit for data processing in Python
Keywords:
Status: CLOSED DUPLICATE of bug 1315871
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-03-29 00:36 UTC by philip.worrall
Modified: 2016-03-08 20:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-05 21:11:16 UTC


Attachments (Terms of Use)

Description philip.worrall 2012-03-29 00:36:41 UTC
Spec URL: http://www.filedropper.com/python-mdp_1
SRPM URL: http://www.filedropper.com/python-mdp-32-1fc16src
Description: MPD provides a Python toolkit for developing data processing sequences and feed-forward network architectures. As a modular framework, it can 
easily be extended to incorporate new algorithms which can then be 
integrated into the rest of the library. 

Hello, 

This package provides a module to use a number of different data processing algorithms in Python2/3 [1]. As far as I can tell is is not currently packaged for either Fedora or Redhat (although packages exist for gentoo, debian, ubuntu, mandriva, pclinux os) and the package is present on the package maintainers wishlist [2]

From the upstream site the code runs on either python 3 or python 2 depending on which is detected when it is built. I have therefore included the relevant macros depending on whether the package is built with python3. There is only one strict dependency (numpy or python3-numpy) 

Since MDP now ships with bidirectional data processing support in the same source I have put this in a sub package (either python-bimdp or python3-bimdp), they can be used exclusively or in combination by users.  

I have also posted a message to the upstream mailing list with a reference to this bug report.

[1] http://mdp-toolkit.sourceforge.net
[2] http://fedoraproject.org/wiki/Package_maintainers_wishlist

RPMS and MD5s built with Koji
f955100f40abaf462e52f1d5877c36e4  python-mdp-3.2-1.fc16.noarch.rpm
http://www.filedropper.com/python-mdp-32-1fc16noarch

9d27700de522d4ecc05dc3789b7b1dcf  python-bimdp-3.2-1.fc16.noarch.rpm
http://www.filedropper.com/python-bimdp-32-1fc16noarch

Comment 1 Jiri Popelka 2012-06-29 16:31:17 UTC
(In reply to comment #0)
> Spec URL: http://www.filedropper.com/python-mdp_1
> SRPM URL: http://www.filedropper.com/python-mdp-32-1fc16src

They are gone. Please reupload.

Comment 2 Mario Blättermann 2012-10-04 21:06:46 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > Spec URL: http://www.filedropper.com/python-mdp_1
> > SRPM URL: http://www.filedropper.com/python-mdp-32-1fc16src
> 
> They are gone. Please reupload.

Don't use such terrible file hosters. Use Dropbox or anything similar which allows to download the files directly by clicking the links.

Moreover, you are not in the Package Maintainers group. Please add FE-NEEDSPONSOR in the "Blocks" field. If you don't want to be sponsored to become a package maintainer, let us know, then we close this review request as FE-DEADREVIEW and free it for other packagers.

Comment 3 Mario Blättermann 2012-10-05 21:11:16 UTC
We've got no answer from the review requestor for more than half a year. I'll close this now as FE-DEADREVIEW.

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-03-08 20:31:29 UTC

*** This bug has been marked as a duplicate of bug 1315871 ***


Note You need to log in before you can comment on or make changes to this bug.